{
    onAnyAfterSetStatus(status, target, source, effect) {
      if (source !== this.effectState.target || target === source || effect.effectType !== "Move")
        return;
      if (status.id === "psn" || status.id === "tox") {
        target.addVolatile("attract");
      }
    },
    flags: {},
    name: "Dubious Perfume",
    rating: 2.5,
    num: -32020
}